## node-trust-json-document 0.1.4~dfsg

=== debian/changelog ===
node-trust-json-document (0.1.4~dfsg-12) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * refresh d/copyright-check

  [ Santiago Vila ]
  * d/control: Drop <!nocheck> from webpack. Closes: #1116825.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Fri, 10 Oct 2025 13:30:00 +0200

node-trust-json-document (0.1.4~dfsg-11) unstable; urgency=medium

  [ Ayoyimika Ajibade ]
  * update webpack command, to be forward-compatible with webpack5
  * updated lintian-overrides false-positives and data

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Feb 2022 14:15:22 +0100

node-trust-json-document (0.1.4~dfsg-10) unstable; urgency=medium

  * team upload
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

 -- Yadd <yadd@debian.org>  Tue, 02 Nov 2021 18:19:03 +0100

node-trust-json-document (0.1.4~dfsg-9) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 15 Sep 2021 15:59:12 +0100

node-trust-json-document (0.1.4~dfsg-8) unstable; urgency=medium

  [ Debian Janitor ]
  * set Multi-Arch: foreign

  [ Jonas Smedegaard ]
  * use brotli compression suffix .brotli
    (not .br used for language breton)
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Dec 2020 20:23:48 +0100

node-trust-json-document (0.1.4~dfsg-7) unstable; urgency=medium

  * use babel preset @babel/preset-env
    (not es2015 seemingly incompatible with babel 7);
    build-depend on node-babel7
    (not node-babel-preset-es2015 node-babel-cli);
    really closes: bug#960035

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 May 2020 08:23:01 +0200

node-trust-json-document (0.1.4~dfsg-6) unstable; urgency=medium

  * set babel presets on commandline (avoid configfile)
    to support both babel 6 and babel 7;
    closes: bug#960035, thanks to Pirate Praveen
  * declare compliance with Debian Policy 4.5.0
  * watch: use dversionmangle=auto
  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * stop wrap tests with prove harness;
    stop build-depend on perl

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 May 2020 07:55:17 +0200

node-trust-json-document (0.1.4~dfsg-5) unstable; urgency=medium

  * Add patch 1001 to use syntax compatible with Webpack 4.
    Closes: Bug#933626. Thanks to Pirate Praveen.
  * Mark autopkgtests as superficial.
  * Install nodejs code under /usr/share (not /usr/lib).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Aug 2019 09:10:14 +0200

node-trust-json-document (0.1.4~dfsg-4) unstable; urgency=medium

  * Update watch file: Tighten version match to avoid old rc releases.
  * Declare compliance with Debian Policy 4.4.0.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 14 Jul 2019 22:17:02 -0300

node-trust-json-document (0.1.4~dfsg-3) unstable; urgency=medium

  * Update watch file: Fix regular expressions.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 26 Feb 2019 13:47:23 +0100

node-trust-json-document (0.1.4~dfsg-2) unstable; urgency=medium

  * Fix have autopkgtest depend on nodejs.
  * Update watch file: Simplify regular expressions.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Feb 2019 21:37:12 +0100

node-trust-json-document (0.1.4~dfsg-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#921309.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Feb 2019 06:25:02 +0100
