=== debian/control ===
Source: node-trust-json-document
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 node-chai <!nocheck>,
 pandoc <!nodoc>,
 brotli,
 debhelper-compat (= 13),
 mocha <!nocheck>,
 node-babel7,
 pigz,
 webpack
Standards-Version: 4.7.2
Homepage: https://github.com/anvilresearch/json-document
Vcs-Browser: https://salsa.debian.org/js-team/node-trust-json-document
Vcs-Git: https://salsa.debian.org/js-team/node-trust-json-document.git

Package: node-trust-json-document
Architecture: all
Depends:
 nodejs,
 ${misc:Depends},
Multi-Arch: foreign
Description: JSON Document manipulation library - Node.js library
 Model and manipulate data with ES6 classes,
 JSON Schema initialization and validation,
 JSON Patch, JSON Pointer, and JSON Mappings.
 .
  * works in Node.js and the browser
  * compiled schema initialization and validation methods
  * high-level JSONDocument class for ease of use
  * zero production dependencies
  * compatible with webpack
 .
 This package provides JSON Document for use with Node.js -
 an event-based server-side JavaScript engine.

Package: libjs-trust-json-document
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 javascript-common,
Multi-Arch: foreign
Description: JSON Document manipulation library - browser library
 Model and manipulate data with ES6 classes,
 JSON Schema initialization and validation,
 JSON Patch, JSON Pointer, and JSON Mappings.
 .
  * works in Node.js and the browser
  * compiled schema initialization and validation methods
  * high-level JSONDocument class for ease of use
  * zero production dependencies
  * compatible with webpack
 .
 This package provides JSON Document for use directly in web browsers.
