=== debian/tests/control ===
Test-Command: node -e "require('@trust/json-document');"
Depends:
 node-trust-json-document,
Restrictions: superficial

Test-Command: node -e "
 require('/usr/share/javascript/trust/json-document');
 require('/usr/share/javascript/trust/json-document.min');
 "
Depends:
 libjs-trust-json-document,
 nodejs,
Restrictions: superficial
