=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
dversionmangle=auto,repacksuffix=~dfsg,\
filenamemangle=s/.*?v(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/anvilresearch/json-document/tags \
.*?v@ANY_VERSION@@ARCHIVE_EXT@
